Bug 154209 - [PATCH] lang/python: Install symlink for ptags
Summary: [PATCH] lang/python: Install symlink for ptags
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-21 18:20 UTC by Craig Leres
Modified: 2014-04-21 02:03 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2011-01-21 18:20:08 UTC
    ptags.py is hidden away in /usr/local/share/python*/Tools which makes
    it inconvenient to use.

Fix: Have the meta port install a symlink to it from /usr/local/bin (patch
    attached).
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk05zXYACgkQWxlAhAje3Juz2QCeLXUy/1/v9AReHcL7FsuEktkt
xZYAniZqhZRZFDSWQYmd11vEoDdvtBHo
=UvzS
-----END PGP SIGNATURE-----

--------------030500030906060709020700
Content-Type: text/plain;
 name="patch-Makefile"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="patch-Makefile"



--------------030500030906060709020700
Content-Type: application/octet-stream;
 name="patch-Makefile.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-Makefile.sig"

iEYEABECAAYFAk05zXYACgkQWxlAhAje3Jt+AwCeKA/GucqJQc4vEBI1CGoguadgnLUAn2iZ
L2UZr2dNpJdipr2cJQi/xOyj
--------------030500030906060709020700----F5X4Hsy0qJHYzCunpbxNVBVM3n2OgqDLPI8O1R5hahAmQ7iG
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile-	2009-07-09 04:26:07.000000000 -0700
+++ Makefile	2011-01-21 10:09:12.000000000 -0800
@@ -8,6 +8,7 @@
 PORTNAME=	python
 PORTVERSION=	${PYTHON_VER}
 PORTEPOCH=	2
+PORTREVISION=	1
 CATEGORIES=	lang python ipv6
 MASTER_SITES=	# empty
 DISTFILES=	# empty
@@ -20,8 +21,12 @@
 PYTHON_VERSION=	${PYTHON_DEFAULT_VERSION}
 NO_BUILD=	yes
 
+PLIST_FILES=	bin/ptags
+
 do-install:
-	@${DO_NADA}
+	${LN} -sf \
+	    ${LOCALBASE}/share/python${PYTHON_VER}/Tools/scripts/ptags.py \
+	    ${LOCALBASE}/bin/ptags
 
 # Major upgrade support
 PORTUPGRADE_CMD=	${LOCALBASE}/sbin/portupgrade
Comment 1 Edwin Groothuis freebsd_committer 2011-01-21 18:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Li-Wen Hsu freebsd_committer 2011-09-25 16:21:44 UTC
State Changed
From-To: open->feedback

How about adding /usr/local/share/python*/Tools to your $PATH or copy it 
to your ~/bin?  I'm not sure adding these scripts under Tools/ to 
default install package is a good idea.  I fact, I'm thinking removing 
some script like smtpd.py out.
Comment 3 Kubilay Kocak freebsd_committer 2014-04-21 02:03:29 UTC
State Changed
From-To: feedback->closed

Committer states wontfix. Feedback timeout